X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How do I degrade back to Firefox 16?

Posted

It is saying that Firefox is not supporting my Mac now and I would like to switch the one that supports it.

Chosen solution

hello ducky331, i think you misinterpreted this warning message. the version you're currently on does still run on mac osx 10.5 but won't receive any security updates in the future.

Firefox no longer works with Mac OS X 10.5

Read this answer in context 3

Additional System Details

This started when...

I upgraded

Installed Plug-ins

  • Plugin for Wacom tablets.
  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:16.0) Gecko/20100101 Firefox/16.0

More Information

philipp
  • Top 10 Contributor
  • Moderator
2042 solutions 8887 answers

Chosen Solution

hello ducky331, i think you misinterpreted this warning message. the version you're currently on does still run on mac osx 10.5 but won't receive any security updates in the future.

Firefox no longer works with Mac OS X 10.5

Question owner

I still want those security updates though.... it seems like it would just be better to switch back.

philipp
  • Top 10 Contributor
  • Moderator
2042 solutions 8887 answers

Helpful Reply

the firefox support for osx 10.5 will be dropped altogether starting with firefox 17 - so unfortunately there won't be any further updates for your system...

Question owner

Thank you... I'll probably just switch browsers.. :D

philipp
  • Top 10 Contributor
  • Moderator
2042 solutions 8887 answers

yes, you could switch to opera - its current versions should still work on osx 10.5: http://www.opera.com/browser/download/requirements/

chrome & safari don't support the operating system anymore either...